import { collectGoodsList, collectGoods } from '@/apis/goods.js'
import { historyList } from '@/apis/common.js'

// 获取收藏列表
async function getCollectData() {
	try{
		const { status, data } = await this.collectList.getList({}, collectGoodsList)
		if(status && data.length > 0) {
			this.$set(this.collect_list, this.collect_list.length, data)
		}
	}catch(e){
		console.log(e)
		//TODO handle the exception
	}
}

// 获取历史
async function getHistoryData() {
	try{
		const { status, data } = await historyList(this.last_time)
		if(status && !data) {
			this.$toast({title: '没有更多历史了'})
		} else if(status && data) {
			// this.$set(this.history_list, this.history_list.length, data)
			this.history_list.push(...data)
			this.last_time = data[data.length-1].date
		}
	}catch(e){
		console.log(e)
		//TODO handle the exception
	}
}

export default {
	getCollectData,
	getHistoryData
}